#ifndef _H_MORPH_ARGPARSE
#define _H_MORPH_ARGPARSE

typedef enum comp_mode_e {
    CM_COMPILE_AND_LINK = 0, // default
    CM_COMPILE,
} comp_mode_t;

typedef struct args_s {
    comp_mode_t comp_mode;
    char* target;
    char** include_paths;
    char* output_file;
    char** input_files;

    // autogen
    char* asm_file;
    char* obj_file;
} args_t;

args_t* parse_args(int argc, const char** argv);

#endif // !_H_MORPH_ARGPARSE
